Package wx :: Package lib :: Module evtmgr :: Class MessageAdapter

[frames | no frames]

## Class MessageAdapter

A class that adapts incoming Publish/Subscribe messages to wxWindows event calls.

This class works opposite the EventAdapter, and retrieves the information an EventAdapter has sent in a message. Strictly speaking, this class is not required: Event listeners could pull the original wxEvent object out of the PS Message themselves.

However, by pairing an instance of this class with each wxEvent handler, the handlers can use the standard API: they receive an event as a parameter.

Method Summary
| ``__init__`(self, eventHandler, topicPattern)` Instantiate a new MessageAdapter that send wxEvents to the given eventHandler.
| `deliverEvent(self, message)`
| `Destroy(self)`

Method Details

### __init__(self, eventHandler, topicPattern)
(Constructor)

Instantiate a new MessageAdapter that send wxEvents to the given eventHandler.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:52 2007 | http://epydoc.sf.net